Name:          noderunner-http
Version:       1.0.3
Release:       %mkrel 1
Summary:       TTP server and client library
Group:         Development/Java
License:       LGPL
Url:           http://e-xml.sourceforge.net/
# svn export https://e-xml.svn.sourceforge.net/svnroot/e-xml/http/trunk noderunner-http-1.0.3
# tar czf noderunner-http-1.0.3-src-svn.tar.gz noderunner-http-1.0.3
Source0:       noderunner-http-1.0.3-src-svn.tar.gz
BuildRequires: jakarta-commons-httpclient
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: junit4
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-cobertura
BuildRequires: maven-wagon
BuildRequires: tomcat6-servlet-2.5-api
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:         java
Requires:      tomcat6-servlet-2.5-api
BuildArch:     noarch


%description
Basic library for building HTTP clients and servers.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n noderunner-http-%{version}

%build

mvn-rpmbuild install -Dmaven.test.skip=true javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -pm 644 target/http-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap JPP-%{name}.pom %{name}.jar

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*

%files javadoc
%{_javadocdir}/%{name}



%changelog
* Sat Aug 06 2011 dmorgan <dmorgan> 1.0.3-1.mga2
+ Revision: 132024
- Clean spec file

  + gil <gil>
    - imported package noderunner-http

